Bug 1371686 - Meld does not create new 2-files diff.
Summary: Meld does not create new 2-files diff.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: meld
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-30 19:52 UTC by Ilyas B Arinov
Modified: 2016-11-07 20:19 UTC (History)
2 users (show)

Fixed In Version: meld-3.16.3-2.el7.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 20:19:37 UTC


Attachments (Terms of Use)

Description Ilyas B Arinov 2016-08-30 19:52:22 UTC
Description of problem:
Meld does not create new diff window (instance) for 2-file mode.

Version-Release number of selected component (if applicable):
3.11.0 1.el7.2

How reproducible:
Always.

Steps to Reproduce:
1. Install latest CentOS 7 Gnome Desktop choosing Russian locale.
2. Connect EPEL and install meld.
3. Open 2 files to compare.

Actual results:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/meld/newdifftab.py", line 112, in on_button_compare_clicked
    tab = self.diff_methods[self.diff_type](compare_paths)
  File "/usr/lib/python2.7/site-packages/meld/meldwindow.py", line 604, in append_filediff
    doc = filediff.FileDiff(len(files))
  File "/usr/lib/python2.7/site-packages/meld/filediff.py", line 321, in __init__
    self.set_num_panes(num_panes)
  File "/usr/lib/python2.7/site-packages/meld/filediff.py", line 1889, in set_num_panes
    self.recompute_label()
  File "/usr/lib/python2.7/site-packages/meld/filediff.py", line 1061, in recompute_label
    self.label_text = (" — ").decode('utf8').join(shortnames)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 1: ordinal not in range(128)

Expected results:
Meld must open new tab or window with 2-file compare workspace.

Additional info:
Is it necessary to use " — "? Why we cant use something simple as " - "?

Comment 1 Fedora Update System 2016-10-23 00:20:02 UTC
meld-3.16.3-2.el7.1 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c3428883ac

Comment 2 Fedora Update System 2016-11-07 20:19:37 UTC
meld-3.16.3-2.el7.1 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.